# $Revision: 1.14 $, $Date: 2006/12/08 00:50:06 $
Summary:	Maps for Adonthell game engine
Summary(pl):	Mapy dla Adonthella
Name:		adonthell-maps
Version:	0.3.3
Release:	3
Epoch:		1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://freesoftware.fsf.org/download/adonthell/wastesedge-%{version}.tar.gz
# Source0-md5:	c208c4c7aa2e8c97ec7b27a5bf4f2cd0
URL:		http://adonthell.linuxgames.com/download/index.shtml
BuildRequires:	adonthell
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_gamedatadir	%{_prefix}/share/adonthell/games

%description
Map packs for Adonthell game.

%description -l pl
Paczka z mapami dla Adonthella.

%package wastesedge
Summary:	Waste's Edge map
Summary(pl):	Mapa Waste's Edge
Group:		X11/Applications/Games

%description wastesedge
As a loyal servant of the elven Lady Silverhair, you arrive at the
remote trading post of Waste's Edge, where she is engaged in
negotiations with the dwarish merchant Bjarn Fingolson. But not all is
well at Waste's Edge, and soon you are confronted with circumstances
that are about to destroy your mistress' high reputation. And you are
the only one to avert this ...

%description wastesedge -l pl
Jako lojalny suga elfiej Srebrzystowosej Pani zostajesz wysany do
odlegejgo miasteczka kupieckiego, Waste's Edge, w celu negocjacji z
krasnoludzkim kupcem Bjarnem Fingolsonem. Lecz w Waste's Edge nie
dzieje si najlepiej, prdko znajdujesz si w okolicznociach mogcych
zniszczy dobr reputacj twej Pani. I tylko ty moesz temu
zapobiec...

%prep
%setup -q -n wastesedge-%{version}

%build
cp -f /usr/share/automake/config.sub .
%configure2_13

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_gamedatadir}/wastesedge/{audio,gfx,maps,scripts} \
	$RPM_BUILD_ROOT%{_gamedatadir}/wastesedge/gettext/po \
	$RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	datadir=$RPM_BUILD_ROOT%{_gamedatadir}/%{name} \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	gamedatadir=$RPM_BUILD_ROOT%{_gamedatadir}/wastesedge/ \
	pixmapdir=$RPM_BUILD_ROOT%{_pixmapsdir} \
	gettextsrcdir=$RPM_BUILD_ROOT%{_gamedatadir}/wastesedge/gettext/po

%clean
rm -fr $RPM_BUILD_ROOT

%files wastesedge
%defattr(644,root,root,755)
%doc README AUTHORS PLAYING
%{_gamedatadir}/wastesedge
%{_pixmapsdir}/*
%attr(755,root,root) %{_bindir}/adonthell-wastesedge

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: adonthell-maps.spec,v $
Revision 1.14  2006/12/08 00:50:06  glen
- rel 3

Revision 1.13  2005/12/30 12:47:49  glen
- fix packaged files; rel 2

Revision 1.12  2005/06/08 23:42:40  undefine
- it's really 0.3.3 version, epoch 1 to upgrade from 3 to 0.3.3
- fix build on amd64

Revision 1.11  2004/10/24 19:57:19  paladine
- spaces->tabs
- cleanups

Revision 1.10  2003/09/09 10:24:18  ankry
- spaces -> tab

Revision 1.9  2003/08/06 16:05:16  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.8  2003/05/27 08:01:33  trojan
- added Source-md5

Revision 1.7  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/01/18 22:45:25  juandon
- removed two lines with define

Revision 1.5  2002/10/13 15:49:31  mick3y
- new version released
- some cosmetics
- STBR

Revision 1.4  2002/10/10 11:19:44  marcus
- use new %doc

Revision 1.3  2002/05/20 11:05:17  qboosh
- simplified (I hope I didn't break anything

Revision 1.2  2002/05/13 15:04:43  wolf
- fixed groups
- pl desc
- req adonthell (what's good maps are if there's no game?)

Revision 1.1  2002/05/06 21:24:35  mick3y
- initial release
